---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t010.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6C00, symBinAddr: 0x2360, symSize: 0x270 }
  - { offsetInCU: 0xAD9, offset: 0xAD9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x7B4C0, symBinAddr: 0x8340, symSize: 0x0 }
  - { offsetInCU: 0xB00, offset: 0xB00, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x7D400, symBinAddr: 0xA280, symSize: 0x0 }
  - { offsetInCU: 0xB22, offset: 0xB22, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x7D7F0, symBinAddr: 0xA670, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x7E790, symBinAddr: 0xB610, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x7E7A0, symBinAddr: 0xB620, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x7AFF0, symBinAddr: 0x80C0, symSize: 0x0 }
  - { offsetInCU: 0xBDF, offset: 0xBDF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x7AFF4, symBinAddr: 0x80C4, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x7AFF8, symBinAddr: 0x80C8, symSize: 0x0 }
  - { offsetInCU: 0xC2F, offset: 0xC2F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x7B150, symBinAddr: 0x80D0, symSize: 0x0 }
  - { offsetInCU: 0xCA8, offset: 0xCA8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x7B208, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7B20C, symBinAddr: 0x818C, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x7B210, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7B214, symBinAddr: 0x8194, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x7B218, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x92F8, offset: 0x92F8, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x7B220, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9381, offset: 0x9381, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x7B230, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x939A, offset: 0x939A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x7B238, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x7B240, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x93CC, offset: 0x93CC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x7B248, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x93E5, offset: 0x93E5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x7B250, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x93FF, offset: 0x93FF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x7B258, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7B2A0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x7B340, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x7B3E0, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x7B3E8, symBinAddr: 0x8328, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x7B3F0, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0xA03E, offset: 0xA03E, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv9FindClassEPKciS1_, symObjAddr: 0x0, symBinAddr: 0x810, symSize: 0x100 }
  - { offsetInCU: 0xA23B, offset: 0xA23B, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x100, symBinAddr: 0x910, symSize: 0x220 }
  - { offsetInCU: 0xA5B6, offset: 0xA5B6, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0xE7E0, symBinAddr: 0x4F20, symSize: 0x50 }
  - { offsetInCU: 0xA690, offset: 0xA690, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x830, symBinAddr: 0xB30, symSize: 0x100 }
  - { offsetInCU: 0xA877, offset: 0xA877, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDED1Ev, symObjAddr: 0x930, symBinAddr: 0xC30, symSize: 0x220 }
  - { offsetInCU: 0xACB6, offset: 0xACB6, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDE17DecimalToAsciiRecEPci, symObjAddr: 0xE880, symBinAddr: 0x4F70, symSize: 0x50 }
  - { offsetInCU: 0xADDC, offset: 0xADDC, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x1000, symSize: 0x80 }
  - { offsetInCU: 0xAE71, offset: 0xAE71, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0xF50, symSize: 0xB0 }
  - { offsetInCU: 0xAECC, offset: 0xAECC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0xE50, symSize: 0x100 }
  - { offsetInCU: 0xB15F, offset: 0xB15F, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x37D0, symBinAddr: 0x1080, symSize: 0xC0 }
  - { offsetInCU: 0xB1B1, offset: 0xB1B1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x1140, symSize: 0x220 }
  - { offsetInCU: 0xB396, offset: 0xB396, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x1360, symSize: 0xA0 }
  - { offsetInCU: 0xB449, offset: 0xB449, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x1400, symSize: 0x110 }
  - { offsetInCU: 0xB53F, offset: 0xB53F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x1510, symSize: 0x150 }
  - { offsetInCU: 0xB6B7, offset: 0xB6B7, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x1660, symSize: 0x30 }
  - { offsetInCU: 0xB758, offset: 0xB758, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x1690, symSize: 0x150 }
  - { offsetInCU: 0xB950, offset: 0xB950, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x17E0, symSize: 0x160 }
  - { offsetInCU: 0xBC10, offset: 0xBC10, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x54F0, symBinAddr: 0x1940, symSize: 0x4A0 }
  - { offsetInCU: 0xBE83, offset: 0xBE83, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x1DE0, symSize: 0x1B0 }
  - { offsetInCU: 0xC09E, offset: 0xC09E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x1F90, symSize: 0xA0 }
  - { offsetInCU: 0xC16D, offset: 0xC16D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x2030, symSize: 0x20 }
  - { offsetInCU: 0xC1A4, offset: 0xC1A4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x2050, symSize: 0x20 }
  - { offsetInCU: 0xC1DB, offset: 0xC1DB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x2070, symSize: 0x20 }
  - { offsetInCU: 0xC34A, offset: 0xC34A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x2090, symSize: 0x1A0 }
  - { offsetInCU: 0xC666, offset: 0xC666, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x2230, symSize: 0x130 }
  - { offsetInCU: 0xC816, offset: 0xC816, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x6E70, symBinAddr: 0x25D0, symSize: 0x1B0 }
  - { offsetInCU: 0xCB05, offset: 0xCB05, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x2780, symSize: 0x80 }
  - { offsetInCU: 0xCBCF, offset: 0xCBCF, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x2800, symSize: 0x6A0 }
  - { offsetInCU: 0xD6EB, offset: 0xD6EB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE370, symBinAddr: 0x4AB0, symSize: 0xB0 }
  - { offsetInCU: 0xD762, offset: 0xD762, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x2EA0, symSize: 0x70 }
  - { offsetInCU: 0xD81E, offset: 0xD81E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x2F10, symSize: 0xA0 }
  - { offsetInCU: 0xD929, offset: 0xD929, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x2FB0, symSize: 0x40 }
  - { offsetInCU: 0xDA1F, offset: 0xDA1F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x2FF0, symSize: 0x2B0 }
  - { offsetInCU: 0xDDC5, offset: 0xDDC5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x32A0, symSize: 0xC0 }
  - { offsetInCU: 0xDF0B, offset: 0xDF0B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x3360, symSize: 0x10 }
  - { offsetInCU: 0xDFCD, offset: 0xDFCD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x3370, symSize: 0x220 }
  - { offsetInCU: 0xE2CA, offset: 0xE2CA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xCE50, symBinAddr: 0x3590, symSize: 0x10 }
  - { offsetInCU: 0xE327, offset: 0xE327, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xCE60, symBinAddr: 0x35A0, symSize: 0x7A0 }
  - { offsetInCU: 0xEB95, offset: 0xEB95, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD600, symBinAddr: 0x3D40, symSize: 0x10 }
  - { offsetInCU: 0xEBF2, offset: 0xEBF2, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xD610, symBinAddr: 0x3D50, symSize: 0x1F0 }
  - { offsetInCU: 0xED1F, offset: 0xED1F, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xD800, symBinAddr: 0x3F40, symSize: 0x20 }
  - { offsetInCU: 0xED6B, offset: 0xED6B, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xD820, symBinAddr: 0x3F60, symSize: 0x120 }
  - { offsetInCU: 0xEED4, offset: 0xEED4, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xD940, symBinAddr: 0x4080, symSize: 0xD0 }
  - { offsetInCU: 0xEFF3, offset: 0xEFF3, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xDA10, symBinAddr: 0x4150, symSize: 0xE0 }
  - { offsetInCU: 0xF0D4, offset: 0xF0D4, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xDAF0, symBinAddr: 0x4230, symSize: 0x20 }
  - { offsetInCU: 0xF156, offset: 0xF156, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xDB10, symBinAddr: 0x4250, symSize: 0x20 }
  - { offsetInCU: 0xF1C2, offset: 0xF1C2, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xDB30, symBinAddr: 0x4270, symSize: 0x20 }
  - { offsetInCU: 0xF223, offset: 0xF223, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xDB50, symBinAddr: 0x4290, symSize: 0x20 }
  - { offsetInCU: 0xF284, offset: 0xF284, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xDB70, symBinAddr: 0x42B0, symSize: 0x20 }
  - { offsetInCU: 0xF2E5, offset: 0xF2E5, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xDB90, symBinAddr: 0x42D0, symSize: 0x20 }
  - { offsetInCU: 0xF367, offset: 0xF367, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xDBB0, symBinAddr: 0x42F0, symSize: 0x20 }
  - { offsetInCU: 0xF3FF, offset: 0xF3FF, size: 0x8, addend: 0x0, symName: _cbNewFieldAccess, symObjAddr: 0xDBD0, symBinAddr: 0x4310, symSize: 0x20 }
  - { offsetInCU: 0xF481, offset: 0xF481, size: 0x8, addend: 0x0, symName: _cbNewFieldModification, symObjAddr: 0xDBF0, symBinAddr: 0x4330, symSize: 0x20 }
  - { offsetInCU: 0xF519, offset: 0xF519, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xDC10, symBinAddr: 0x4350, symSize: 0x20 }
  - { offsetInCU: 0xF56F, offset: 0xF56F, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xDC30, symBinAddr: 0x4370, symSize: 0x20 }
  - { offsetInCU: 0xF5E2, offset: 0xF5E2, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xDC50, symBinAddr: 0x4390, symSize: 0x20 }
  - { offsetInCU: 0xF655, offset: 0xF655, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xDC70, symBinAddr: 0x43B0, symSize: 0x20 }
  - { offsetInCU: 0xF6BC, offset: 0xF6BC, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xDC90, symBinAddr: 0x43D0, symSize: 0x20 }
  - { offsetInCU: 0xF723, offset: 0xF723, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xDCB0, symBinAddr: 0x43F0, symSize: 0x20 }
  - { offsetInCU: 0xF77E, offset: 0xF77E, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xDCD0, symBinAddr: 0x4410, symSize: 0x20 }
  - { offsetInCU: 0xF7D9, offset: 0xF7D9, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xDCF0, symBinAddr: 0x4430, symSize: 0x20 }
  - { offsetInCU: 0xF858, offset: 0xF858, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xDD10, symBinAddr: 0x4450, symSize: 0x20 }
  - { offsetInCU: 0xF8A7, offset: 0xF8A7, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xDD30, symBinAddr: 0x4470, symSize: 0x20 }
  - { offsetInCU: 0xF8DE, offset: 0xF8DE, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xDD50, symBinAddr: 0x4490, symSize: 0x20 }
  - { offsetInCU: 0xF915, offset: 0xF915, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xDD70, symBinAddr: 0x44B0, symSize: 0x20 }
  - { offsetInCU: 0xF958, offset: 0xF958, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xDD90, symBinAddr: 0x44D0, symSize: 0x20 }
  - { offsetInCU: 0xF9CB, offset: 0xF9CB, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xDDB0, symBinAddr: 0x44F0, symSize: 0x2E0 }
  - { offsetInCU: 0xFC53, offset: 0xFC53, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE090, symBinAddr: 0x47D0, symSize: 0x2E0 }
  - { offsetInCU: 0x101D8, offset: 0x101D8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE420, symBinAddr: 0x4B60, symSize: 0x370 }
  - { offsetInCU: 0x107D8, offset: 0x107D8, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xE790, symBinAddr: 0x4ED0, symSize: 0x40 }
...
